<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: vicoquery.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00014.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">vicoquery.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="a00014_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="a00086.html">VicoQuery</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <a class="el" href="a00086.html" title="The VicoQuery class handles the requests and responses from host side to/from the VICODaemon and henc...">VicoQuery</a> class handles the requests and responses from host side to/from the VICODaemon and hence device.  <a href="a00086.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a1ca76313cc355df55bebb429273dbf42" id="r_a1ca76313cc355df55bebb429273dbf42"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1ca76313cc355df55bebb429273dbf42">API_MCA</a> = QLatin1String(&quot;mca&quot;)</td></tr>
<tr class="separator:a1ca76313cc355df55bebb429273dbf42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5b0aad33c573a8b41198ce110a4c8d7" id="r_af5b0aad33c573a8b41198ce110a4c8d7"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af5b0aad33c573a8b41198ce110a4c8d7">API_DATA</a> = QLatin1String(&quot;data&quot;)</td></tr>
<tr class="separator:af5b0aad33c573a8b41198ce110a4c8d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a830a44e4f1bd63295d1bbbd8927b15bd" id="r_a830a44e4f1bd63295d1bbbd8927b15bd"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a830a44e4f1bd63295d1bbbd8927b15bd">API_DATAGRAM_FIRMWARE</a> = QLatin1String(&quot;fw&quot;)</td></tr>
<tr class="separator:a830a44e4f1bd63295d1bbbd8927b15bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45006cd3a355dbddc0b29c0b73d18abb" id="r_a45006cd3a355dbddc0b29c0b73d18abb"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a45006cd3a355dbddc0b29c0b73d18abb">API_STATUSTYPE</a> = QLatin1String(&quot;statusType&quot;)</td></tr>
<tr class="separator:a45006cd3a355dbddc0b29c0b73d18abb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa22c14b270d575213ef90374980e8308" id="r_aa22c14b270d575213ef90374980e8308"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa22c14b270d575213ef90374980e8308">API_INTERNAL_GETDEVICEINFOBYINDEX</a> = QLatin1String(&quot;getDeviceInfoByIndex&quot;)</td></tr>
<tr class="separator:aa22c14b270d575213ef90374980e8308"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb43f4d6e8d0cc344cc19c4c09988eba" id="r_abb43f4d6e8d0cc344cc19c4c09988eba"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abb43f4d6e8d0cc344cc19c4c09988eba">API_INTERNAL_GET_PREFERRED_INTERFACE</a> = QLatin1String(&quot;getPreferredInterface&quot;)</td></tr>
<tr class="separator:abb43f4d6e8d0cc344cc19c4c09988eba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a331f9d59ce4d1e77a9e1adbf0874c890" id="r_a331f9d59ce4d1e77a9e1adbf0874c890"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a331f9d59ce4d1e77a9e1adbf0874c890">API_INTERNAL_SET_PREFERRED_INTERFACE</a> = QLatin1String(&quot;setPreferredInterface&quot;)</td></tr>
<tr class="separator:a331f9d59ce4d1e77a9e1adbf0874c890"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7269dc3ce6e3e9d2e607205b07dced5f" id="r_a7269dc3ce6e3e9d2e607205b07dced5f"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7269dc3ce6e3e9d2e607205b07dced5f">API_INTERNAL_REFRESHDEVICECONNECTIONS</a> = QLatin1String(&quot;refreshDeviceConnections&quot;)</td></tr>
<tr class="separator:a7269dc3ce6e3e9d2e607205b07dced5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42a15cb15340702556689336a8a13341" id="r_a42a15cb15340702556689336a8a13341"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a42a15cb15340702556689336a8a13341">API_INTERNAL_GETNUMBERDEVICES</a> = QLatin1String(&quot;getNumberDevices&quot;)</td></tr>
<tr class="separator:a42a15cb15340702556689336a8a13341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46337d2742c581e71032db1d15d0042d" id="r_a46337d2742c581e71032db1d15d0042d"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a46337d2742c581e71032db1d15d0042d">API_MCU_PROTOCOL_VERSION</a> = QLatin1String(&quot;MCU_PROTOCOL_VERSION&quot;)</td></tr>
<tr class="separator:a46337d2742c581e71032db1d15d0042d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa840ae843ecaef0d07915ee43090bcf8" id="r_aa840ae843ecaef0d07915ee43090bcf8"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa840ae843ecaef0d07915ee43090bcf8">API_INTERNAL_SCANTCP</a> = QLatin1String(&quot;scanTcp&quot;)</td></tr>
<tr class="separator:aa840ae843ecaef0d07915ee43090bcf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05a3bbcb5a367ab62a44132b910fc2d7" id="r_a05a3bbcb5a367ab62a44132b910fc2d7"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a05a3bbcb5a367ab62a44132b910fc2d7">API_INTERNAL_SCANUDP</a> = QLatin1String(&quot;scanUdp&quot;)</td></tr>
<tr class="separator:a05a3bbcb5a367ab62a44132b910fc2d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abac1022b9c4987b2a54b8133e8831b92" id="r_abac1022b9c4987b2a54b8133e8831b92"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abac1022b9c4987b2a54b8133e8831b92">API_INTERNAL_SCANUSB</a> = QLatin1String(&quot;scanUsb&quot;)</td></tr>
<tr class="separator:abac1022b9c4987b2a54b8133e8831b92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9046fa9cf062d7d701a7e8d85da9e82a" id="r_a9046fa9cf062d7d701a7e8d85da9e82a"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9046fa9cf062d7d701a7e8d85da9e82a">API_INTERNAL_SCANUSBHID</a> = QLatin1String(&quot;scanUsbHid&quot;)</td></tr>
<tr class="separator:a9046fa9cf062d7d701a7e8d85da9e82a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae56e73d9d59ed8b6238fc689179626db" id="r_ae56e73d9d59ed8b6238fc689179626db"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae56e73d9d59ed8b6238fc689179626db">API_INTERNAL_STOPTCP</a> = QLatin1String(&quot;stopTcp&quot;)</td></tr>
<tr class="separator:ae56e73d9d59ed8b6238fc689179626db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e9cb76b35714bfdd3206be09e9eb63d" id="r_a0e9cb76b35714bfdd3206be09e9eb63d"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0e9cb76b35714bfdd3206be09e9eb63d">API_INTERNAL_STOPUDP</a> = QLatin1String(&quot;stopUdp&quot;)</td></tr>
<tr class="separator:a0e9cb76b35714bfdd3206be09e9eb63d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d81cd0e04d8b476cfe482e5138f674f" id="r_a4d81cd0e04d8b476cfe482e5138f674f"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4d81cd0e04d8b476cfe482e5138f674f">API_INTERNAL_DAEMONVERSION</a> = QLatin1String(&quot;daemonversion&quot;)</td></tr>
<tr class="separator:a4d81cd0e04d8b476cfe482e5138f674f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd1cf6e1c9660e0f3c6a5774d254b842" id="r_acd1cf6e1c9660e0f3c6a5774d254b842"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acd1cf6e1c9660e0f3c6a5774d254b842">API_INTERNAL_SETDAEMONLOGLEVEL</a> = QLatin1String(&quot;setLogLevel&quot;)</td></tr>
<tr class="separator:acd1cf6e1c9660e0f3c6a5774d254b842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac72b2a35a41b23b93423672943e0e865" id="r_ac72b2a35a41b23b93423672943e0e865"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac72b2a35a41b23b93423672943e0e865">API_INTERNAL_GETDAEMONLOGLEVEL</a> = QLatin1String(&quot;getLogLevel&quot;)</td></tr>
<tr class="separator:ac72b2a35a41b23b93423672943e0e865"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d49a87c9046275d6ca203967e61cfd6" id="r_a8d49a87c9046275d6ca203967e61cfd6"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8d49a87c9046275d6ca203967e61cfd6">API_INTERNAL_DAEMONLOGLEVEL_KEY</a> = QLatin1String(&quot;logLevel&quot;)</td></tr>
<tr class="separator:a8d49a87c9046275d6ca203967e61cfd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff1ff3a5e1994991f73292bf8484d19b" id="r_aff1ff3a5e1994991f73292bf8484d19b"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aff1ff3a5e1994991f73292bf8484d19b">API_INTERNAL_SETHOSTIPADDRESS</a> = QLatin1String(&quot;setHostIpAddress&quot;)</td></tr>
<tr class="separator:aff1ff3a5e1994991f73292bf8484d19b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a564c724a31caff63631df706833f4ecf" id="r_a564c724a31caff63631df706833f4ecf"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a564c724a31caff63631df706833f4ecf">API_INTERNAL_GETHOSTIPADDRESS</a> = QLatin1String(&quot;getHostIpAddress&quot;)</td></tr>
<tr class="separator:a564c724a31caff63631df706833f4ecf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e6309d7350d4bf6b1091728ccb20146" id="r_a7e6309d7350d4bf6b1091728ccb20146"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7e6309d7350d4bf6b1091728ccb20146">API_INTERNAL_DEVICE_IP_ADDRESS_KEY</a> = QLatin1String(&quot;deviceIpAddress&quot;)</td></tr>
<tr class="separator:a7e6309d7350d4bf6b1091728ccb20146"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab95550286f93dfcb2750ad876f73d030" id="r_ab95550286f93dfcb2750ad876f73d030"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab95550286f93dfcb2750ad876f73d030">API_INTERNAL_HOST_IP_ADDRESS_KEY</a> = QLatin1String(&quot;hostIPAddress&quot;)</td></tr>
<tr class="separator:ab95550286f93dfcb2750ad876f73d030"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd96ef7c95c544388e074d8c03dd4666" id="r_afd96ef7c95c544388e074d8c03dd4666"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afd96ef7c95c544388e074d8c03dd4666">API_INTERNAL_REMOVE_DEVICE_CONNECTION</a> = QLatin1String(&quot;removeDeviceConnection&quot;)</td></tr>
<tr class="separator:afd96ef7c95c544388e074d8c03dd4666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad859707f7c9a34532f439d38acdffa1f" id="r_ad859707f7c9a34532f439d38acdffa1f"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad859707f7c9a34532f439d38acdffa1f">API_INTERNAL_DAEMON_CONNECTION</a> = QLatin1String(&quot;daemonConnection&quot;)</td></tr>
<tr class="separator:ad859707f7c9a34532f439d38acdffa1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="af5b0aad33c573a8b41198ce110a4c8d7" name="af5b0aad33c573a8b41198ce110a4c8d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5b0aad33c573a8b41198ce110a4c8d7">&#9670;&#160;</a></span>API_DATA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATA = QLatin1String(&quot;data&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a830a44e4f1bd63295d1bbbd8927b15bd" name="a830a44e4f1bd63295d1bbbd8927b15bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a830a44e4f1bd63295d1bbbd8927b15bd">&#9670;&#160;</a></span>API_DATAGRAM_FIRMWARE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_FIRMWARE = QLatin1String(&quot;fw&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad859707f7c9a34532f439d38acdffa1f" name="ad859707f7c9a34532f439d38acdffa1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad859707f7c9a34532f439d38acdffa1f">&#9670;&#160;</a></span>API_INTERNAL_DAEMON_CONNECTION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_DAEMON_CONNECTION = QLatin1String(&quot;daemonConnection&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d49a87c9046275d6ca203967e61cfd6" name="a8d49a87c9046275d6ca203967e61cfd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d49a87c9046275d6ca203967e61cfd6">&#9670;&#160;</a></span>API_INTERNAL_DAEMONLOGLEVEL_KEY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_DAEMONLOGLEVEL_KEY = QLatin1String(&quot;logLevel&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4d81cd0e04d8b476cfe482e5138f674f" name="a4d81cd0e04d8b476cfe482e5138f674f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d81cd0e04d8b476cfe482e5138f674f">&#9670;&#160;</a></span>API_INTERNAL_DAEMONVERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_DAEMONVERSION = QLatin1String(&quot;daemonversion&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e6309d7350d4bf6b1091728ccb20146" name="a7e6309d7350d4bf6b1091728ccb20146"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e6309d7350d4bf6b1091728ccb20146">&#9670;&#160;</a></span>API_INTERNAL_DEVICE_IP_ADDRESS_KEY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_DEVICE_IP_ADDRESS_KEY = QLatin1String(&quot;deviceIpAddress&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abb43f4d6e8d0cc344cc19c4c09988eba" name="abb43f4d6e8d0cc344cc19c4c09988eba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb43f4d6e8d0cc344cc19c4c09988eba">&#9670;&#160;</a></span>API_INTERNAL_GET_PREFERRED_INTERFACE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_GET_PREFERRED_INTERFACE = QLatin1String(&quot;getPreferredInterface&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac72b2a35a41b23b93423672943e0e865" name="ac72b2a35a41b23b93423672943e0e865"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac72b2a35a41b23b93423672943e0e865">&#9670;&#160;</a></span>API_INTERNAL_GETDAEMONLOGLEVEL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_GETDAEMONLOGLEVEL = QLatin1String(&quot;getLogLevel&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa22c14b270d575213ef90374980e8308" name="aa22c14b270d575213ef90374980e8308"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa22c14b270d575213ef90374980e8308">&#9670;&#160;</a></span>API_INTERNAL_GETDEVICEINFOBYINDEX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_GETDEVICEINFOBYINDEX = QLatin1String(&quot;getDeviceInfoByIndex&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a564c724a31caff63631df706833f4ecf" name="a564c724a31caff63631df706833f4ecf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a564c724a31caff63631df706833f4ecf">&#9670;&#160;</a></span>API_INTERNAL_GETHOSTIPADDRESS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_GETHOSTIPADDRESS = QLatin1String(&quot;getHostIpAddress&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a42a15cb15340702556689336a8a13341" name="a42a15cb15340702556689336a8a13341"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42a15cb15340702556689336a8a13341">&#9670;&#160;</a></span>API_INTERNAL_GETNUMBERDEVICES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_GETNUMBERDEVICES = QLatin1String(&quot;getNumberDevices&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab95550286f93dfcb2750ad876f73d030" name="ab95550286f93dfcb2750ad876f73d030"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab95550286f93dfcb2750ad876f73d030">&#9670;&#160;</a></span>API_INTERNAL_HOST_IP_ADDRESS_KEY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_HOST_IP_ADDRESS_KEY = QLatin1String(&quot;hostIPAddress&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7269dc3ce6e3e9d2e607205b07dced5f" name="a7269dc3ce6e3e9d2e607205b07dced5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7269dc3ce6e3e9d2e607205b07dced5f">&#9670;&#160;</a></span>API_INTERNAL_REFRESHDEVICECONNECTIONS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_REFRESHDEVICECONNECTIONS = QLatin1String(&quot;refreshDeviceConnections&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afd96ef7c95c544388e074d8c03dd4666" name="afd96ef7c95c544388e074d8c03dd4666"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd96ef7c95c544388e074d8c03dd4666">&#9670;&#160;</a></span>API_INTERNAL_REMOVE_DEVICE_CONNECTION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_REMOVE_DEVICE_CONNECTION = QLatin1String(&quot;removeDeviceConnection&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa840ae843ecaef0d07915ee43090bcf8" name="aa840ae843ecaef0d07915ee43090bcf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa840ae843ecaef0d07915ee43090bcf8">&#9670;&#160;</a></span>API_INTERNAL_SCANTCP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_SCANTCP = QLatin1String(&quot;scanTcp&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a05a3bbcb5a367ab62a44132b910fc2d7" name="a05a3bbcb5a367ab62a44132b910fc2d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05a3bbcb5a367ab62a44132b910fc2d7">&#9670;&#160;</a></span>API_INTERNAL_SCANUDP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_SCANUDP = QLatin1String(&quot;scanUdp&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abac1022b9c4987b2a54b8133e8831b92" name="abac1022b9c4987b2a54b8133e8831b92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abac1022b9c4987b2a54b8133e8831b92">&#9670;&#160;</a></span>API_INTERNAL_SCANUSB</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_SCANUSB = QLatin1String(&quot;scanUsb&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9046fa9cf062d7d701a7e8d85da9e82a" name="a9046fa9cf062d7d701a7e8d85da9e82a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9046fa9cf062d7d701a7e8d85da9e82a">&#9670;&#160;</a></span>API_INTERNAL_SCANUSBHID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_SCANUSBHID = QLatin1String(&quot;scanUsbHid&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a331f9d59ce4d1e77a9e1adbf0874c890" name="a331f9d59ce4d1e77a9e1adbf0874c890"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a331f9d59ce4d1e77a9e1adbf0874c890">&#9670;&#160;</a></span>API_INTERNAL_SET_PREFERRED_INTERFACE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_SET_PREFERRED_INTERFACE = QLatin1String(&quot;setPreferredInterface&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acd1cf6e1c9660e0f3c6a5774d254b842" name="acd1cf6e1c9660e0f3c6a5774d254b842"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd1cf6e1c9660e0f3c6a5774d254b842">&#9670;&#160;</a></span>API_INTERNAL_SETDAEMONLOGLEVEL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_SETDAEMONLOGLEVEL = QLatin1String(&quot;setLogLevel&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aff1ff3a5e1994991f73292bf8484d19b" name="aff1ff3a5e1994991f73292bf8484d19b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff1ff3a5e1994991f73292bf8484d19b">&#9670;&#160;</a></span>API_INTERNAL_SETHOSTIPADDRESS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_SETHOSTIPADDRESS = QLatin1String(&quot;setHostIpAddress&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae56e73d9d59ed8b6238fc689179626db" name="ae56e73d9d59ed8b6238fc689179626db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae56e73d9d59ed8b6238fc689179626db">&#9670;&#160;</a></span>API_INTERNAL_STOPTCP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_STOPTCP = QLatin1String(&quot;stopTcp&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e9cb76b35714bfdd3206be09e9eb63d" name="a0e9cb76b35714bfdd3206be09e9eb63d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e9cb76b35714bfdd3206be09e9eb63d">&#9670;&#160;</a></span>API_INTERNAL_STOPUDP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_INTERNAL_STOPUDP = QLatin1String(&quot;stopUdp&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1ca76313cc355df55bebb429273dbf42" name="a1ca76313cc355df55bebb429273dbf42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ca76313cc355df55bebb429273dbf42">&#9670;&#160;</a></span>API_MCA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_MCA = QLatin1String(&quot;mca&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a46337d2742c581e71032db1d15d0042d" name="a46337d2742c581e71032db1d15d0042d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46337d2742c581e71032db1d15d0042d">&#9670;&#160;</a></span>API_MCU_PROTOCOL_VERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_MCU_PROTOCOL_VERSION = QLatin1String(&quot;MCU_PROTOCOL_VERSION&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a45006cd3a355dbddc0b29c0b73d18abb" name="a45006cd3a355dbddc0b29c0b73d18abb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45006cd3a355dbddc0b29c0b73d18abb">&#9670;&#160;</a></span>API_STATUSTYPE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_STATUSTYPE = QLatin1String(&quot;statusType&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_fe06972e53893249adce5a50c45e9385.html">impl</a></li><li class="navelem"><a class="el" href="dir_be24af3b036aa4b3bfccb0b5b265ec43.html">VicoLib</a></li><li class="navelem"><a class="el" href="dir_17da06094344a942cf65018f35dcca64.html">impl</a></li><li class="navelem"><a class="el" href="a00014.html">vicoquery.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
